/*****************************************************************************
  klocate -- a KDE front-end to slocate
  version 0.50.3, March 7, 2004                                                              
  Programmed by: Alexandre Oberlin                              
  Report any Bugs to: alxobr@free.fr   
  Thanks to Kevin Lindsay for programming slocate.                                                                                                                                      
     Copyright (C) version Free Software Foundation, Inc.                       
     This program is free software; you can redistribute it and/or modify    
     it under the terms of the GNU General Public License as published by    
     the Free Software Foundation; either version 2, or (at your option)     
     any later version.                                                      
     This program is distributed in the hope that it will be useful,         
     but WITHOUT ANY WARRANTY; without even the implied warranty of          
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           
     GNU General Public License for more details.                            
     You should have received a copy of the GNU General Public License       
     along with this program; if not, write to the Free Software             
     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.               
*****************************************************************************/
/****************************************************************
** klocate main.cpp
****************************************************************/
#include <stdlib.h>
#include <stdio.h>
#include <signal.h>
#include <kapp.h>
#include <kmainwindow.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>
#include <kstddirs.h>
#include "defines.h"
#include "topwidget.h"
bool MUSTQUIT = false;
static const char *description =
    I18N_NOOP("KDE front end to slocate");
#if defined(KDE3)
static const char *version = "v0.50.3";
#else  
static const char *version = "v0.50.2";
#endif
char * stderrtmp;
char * stdouttmp;
char * stdflttmp;
TopWidget * tw;
void termhandler (int signum)
{
  signal (signum, SIG_DFL);
	 /* Do cleanup actions here. */
  unlink (stderrtmp);
  unlink (stdouttmp);
  unlink (stdflttmp);
  raise (signum);
}
int main( int argc, char **argv )
{
   KAboutData about("klocate", I18N_NOOP("KLocate"), version, description, KAboutData::License_GPL, "(C) 2004 Alexandre Oberlin", 0, "http://www.gnangnan.com/klocate", "alxobr@free.fr");
   about.addAuthor( "Alexandre Oberlin", 0, "alxobr@free.fr" );
    KCmdLineArgs::init(argc, argv, &about);
    KApplication a;
  if (a.isRestored())
    RESTORE(KLocateMain)
      else
	{
	  KLocateMain  * mw = new  KLocateMain;
	  a.setMainWidget( mw );
	  tw = new TopWidget(mw, "tw");
	  mw->setCentralWidget(tw);
	  if (MUSTQUIT == true) return (EXIT_FAILURE);
	  mw->show();
	}
  if (signal (SIGINT, termhandler) == SIG_IGN)
    signal (SIGINT, SIG_IGN);
  if (signal (SIGHUP, termhandler) == SIG_IGN)
    signal (SIGHUP, SIG_IGN);
  if (signal (SIGTERM, termhandler) == SIG_IGN)
    signal (SIGTERM, SIG_IGN);
  int appresult =  a.exec(); 
  return appresult;
}	  
