/****************************************************************
**
** Declaration of SelButtonGroup, SelButton
**
****************************************************************/
#ifndef SELBUTTON_H
#define SELBUTTON_H
#include <qpushbutton.h>
#include <qbuttongroup.h> 
#include <qpopupmenu.h> 
#include <defines.h>
#include "disklist.h"  
extern uint NB_SELROWS;
extern uint NB_SELCOLUMNS;
extern uint MAX_LABELS;
/**************************************************************************
******************************* SelButton *******************************
**************************************************************************/
class SelButton : public QPushButton
{
  Q_OBJECT
    public:
  SelButton( QWidget *parent, QStringList _seltoplay, char * name=0);
  ~SelButton();
  QStringList seltoplay;
 protected:
  void mousePressEvent ( QMouseEvent * e );
  void mouseReleaseEvent( QMouseEvent *e);
  virtual void cmContextMenu();
  signals:
  void setSel();
  void addToSel();
  void getSel();
};
/***********************************************************************
*************************** SelButtonGroup ***************************
***********************************************************************/
class SelButtonGroup :public QButtonGroup
{
  Q_OBJECT
 public:
  SelButtonGroup( QWidget *parent, int nbbuttons, int nbcolumns, const char * title, VolumeList * ll);
  ~SelButtonGroup();
  void rementry(QString oldname);
 protected:
  VolumeEntry * * entries;
  const int nbbuttons;
  int effnbbuttons;
  int read_presets();
  int write_presets();
  signals:
  void setSel();
  void addToSel();
  protected slots:
   void buttonSetSel();
   void buttonAddToSel();
   void buttonGetSel();
};
#endif 
