/*****************************************************************************
  klocate -- a KDE front-end to slocate
  version 0.25, December 10, 2003                                                              
  Programmed by: Alexandre Oberlin                              
  Report any Bugs to: alxobr@free.fr   
  Thanks to Kevin Lindsay for programming slocate.                                                                                                                                      
     Copyright (C) version Free Software Foundation, Inc.                       
     This program is free software; you can redistribute it and/or modify    
     it under the terms of the GNU General Public License as published by    
     the Free Software Foundation; either version 2, or (at your option)     
     any later version.                                                      
     This program is distributed in the hope that it will be useful,         
     but WITHOUT ANY WARRANTY; without even the implied warranty of          
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           
     GNU General Public License for more details.                            
     You should have received a copy of the GNU General Public License       
     along with this program; if not, write to the Free Software             
     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.               
*****************************************************************************/
#include "defines.h" 
#include <stdlib.h> 
#include "strstack.h"
#include <stddef.h>
/**************************************************************************
******************************** StrStack *********************************
**************************************************************************/
StrStack::StrStack()
{
  sp=0;
  for (int i=0; i< STRSTACK_MAX; i++)
    value[i] = NULL;
}
StrStack::~StrStack()
{
  for (int i=0; i< STRSTACK_MAX; i++)
    if (value[i] != NULL) delete[] value[i];
}
void StrStack::clear () 
	{
	sp = 0;
	for (int i=0; i< STRSTACK_MAX; i++)
	  if (value[i] != NULL)
	    {
	      delete[] value[i];
	      value[i]=NULL;
	    }
	}
void StrStack::stacpy(StrStack *dest) 
	{
	for (int pointer = sp - 1; pointer >= 0; pointer--)
		dest->value[pointer] = value[pointer];
	dest->sp = sp;
	}
char * StrStack::top () 
{
  if (sp == 0) 
    return NULL;
  else 
    return value[sp-1];
}
bool StrStack::empty () 
{
  return (sp==0);
}
char * StrStack::pop () 
	{
	  if (sp == 0) 
	    return NULL;
	  else 
	      return value[--sp];
	}
char * StrStack::push (const char * newstring) 
	{
	  if (value[sp] != NULL) delete[] value[sp];
	  value[sp]=new char [strlen (newstring) + 1];
	  return strcpy(value[sp++], newstring);
	}
int StrStack::extrachars (QString str)
{
  while (! empty())
    {
         if (str.startsWith (QString(top())) )
	{
	  return(strlen(top()));
	}
      else 
	{
	  pop();
	}
    }    
  return -1;  
}
char * StrStack::getValue (unsigned int i)
{
  if (i+1 > sp)
    return NULL;
  else 
    return value[i];
}
