/*****************************************************************************
  klocate -- a KDE front-end to slocate
  version 0.50.3, March 7, 2004                                                              
  Programmed by: Alexandre Oberlin                              
  Report any Bugs to: alxobr@free.fr   
  Thanks to Kevin Lindsay for programming slocate.                                                                                                                                      
     Copyright (C) version Free Software Foundation, Inc.                       
     This program is free software; you can redistribute it and/or modify    
     it under the terms of the GNU General Public License as published by    
     the Free Software Foundation; either version 2, or (at your option)     
     any later version.                                                      
     This program is distributed in the hope that it will be useful,         
     but WITHOUT ANY WARRANTY; without even the implied warranty of          
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           
     GNU General Public License for more details.                            
     You should have received a copy of the GNU General Public License       
     along with this program; if not, write to the Free Software             
     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.               
*****************************************************************************/
/****************************************************************
**
** klocate topwidget.h
**
****************************************************************/
#ifndef TOPWIDGET_H
#define TOPWIDGET_H
#include <stdlib.h>
#include <stdio.h>
#include <sys/stat.h>
#include <unistd.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qlistbox.h>
#include <qstring.h>
#include <qevent.h>
#include <qpixmap.h>
#include <qiconset.h>
#include <kmainwindow.h>
#include "loccmd.h"
#include "disklist.h"
#include "filelist.h"
#include "selbutton.h"
#define MAX_SEARCH_STRING 199
class KLocateMain: public KMainWindow
{
public:
KLocateMain  (const char *name=0);
~KLocateMain  ();
};
class TopWidget: public QWidget
{
  Q_OBJECT
public:
  TopWidget( QWidget *parent=0, const char *name=0 );
  ~TopWidget();
  void FileMB(QString dfile);
  VolumeList * labellist;
  SelButtonGroup *selbutts;
  bool topdebug, storehistory, showtooltips, seclevel;
  QStringList cur_preset;
private:
  LocCmd *loccmd;
  FileList * filelist;
  GetUpdateList * gul; 
  OptionsDB * odb; 
public slots:
  void search();
  void update_db();
  void options();
  void slotHelp();
  protected slots:
    void customEvent( QCustomEvent * e );
 signals:
    void searchOver( );
};
#endif 
